Vagrant.require_version ">= 2.2.0"

Vagrant.configure("2") do |config|

  config.vm.box = "stakahashi/amazonlinux2"

  config.vm.network :private_network, type: "dhcp"
  config.vm.network :forwarded_port, guest: 80, host: 8080 # http://localhost:8080 will map to http://machine_io:80 'behind the scehes'

  config.vm.provider :virtualbox do |vb|
    vb.customize [
      "modifyvm", :id,
      "--cpuexecutioncap", "50",
      "--memory", "2048",
    ]
  end

  config.vm.provision "ansible" do |ansible|
    ansible.playbook = "install.yml"
  end

  #config.vm.provision "ansible" do |ansible|
  #  ansible.playbook = "configure.yml"
  #end

end
